<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
include(Translate('qti_lang_adm.inc'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v1.9';
$oVIP->selfurl = 'qtim_import_qti_install.php';
$oVIP->selfname = 'Installation module IMPORT QTI '.$strVersion;

$bStep1 = true;
$bStep2 = true;

// STEP 1

if ( empty($qti_error) )
{
  $strFile = 'qtim_import_qti_adm.php';
  if ( !file_exists($strFile) ) $qti_error="Missing file: $strFile. Check installation instructions.<br/>This module cannot be used.";
  if ( !empty($qti_error) ) $bStep1 = false;
}

// STEP 2

if ( empty($qti_error) )
{
  $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_import_qti"');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("module_import_qti","Import QTI","0")');
}

// --------
// Html start
// --------
include('qti_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
';

echo '<h2>Checking components</h2>';
if ( !$bStep1 )
{
  echo '<p class="error">',$qti_error,'</p>';
  include('qti_adm_p_footer.php');
  exit;
}
echo '
<p>Ok</p>
<h2>Database settings</h2>
<p>Ok</p>
<h2>Installation completed</h2>
';

include('qti_adm_p_footer.php');

?>
